BOT_DUMP
1
BRL-CAD
BRL-CAD

# bot_dump

export polygonal BoT primitives without performing evaluation

      bot_dump    -b
        -n
        -m directory
        -o file
        -t dxfobjsatstl
        -u units
        -v
        geom.g
        bot1bot2

## DESCRIPTION

`bot_dump`

The `-b` option may be specified to indicate that the output file should be in a binary format (e.g., for formats that support ascii and binary formats like stl).

If the `-n` option is specified, BoT surface normals will be included in the output of obj files. This option is specific to obj file generation since normal vector outputs are already an integral part of the stl file outputs and both the dxf and sat file formats do not support or require surface normal generation.

If the `-m` option is specified, then BoTs will be output to the directory name specified with one BoT per file.

The `-o` option specifies what output file the BoT data should be dumped to.

The `-t` is used to specify the desired output file type. The default output type is STL in ASCII format.

The `-u` option takes a units string that indicates the unit conversion to perform during output (converting from internal millimeter values to the unit type specified).

## EXAMPLE

    $ bot_dump  -o some_bot_dump.dxf  -t dxf  sample.g  some_bot

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 2008-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.